Bug 654275 - RFE: Satellite could benefit from repomd optimizations in Hosted
Summary: RFE: Satellite could benefit from repomd optimizations in Hosted
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Satellite 5
Classification: Red Hat
Component: Server
Version: 540
Hardware: Unspecified
OS: Unspecified
low
medium
Target Milestone: ---
Assignee: Tomas Lestach
QA Contact: Pavel Novotny
URL:
Whiteboard:
Depends On:
Blocks: sat54-errata
TreeView+ depends on / blocked
 
Reported: 2010-11-17 11:40 UTC by Sebastian Skracic
Modified: 2011-03-17 14:13 UTC (History)
5 users (show)

Fixed In Version: spacewalk-java-1.2.39-44.el5sat
Doc Type: Bug Fix
Doc Text:
Result This is an enhancement to make repomd generation faster. See Comment#5 for detailed test results.
Clone Of:
Environment:
Last Closed: 2011-03-17 14:13:14 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2011:0362 0 normal SHIPPED_LIVE Red Hat Network Satellite bug fix and enhancement update 2011-03-17 14:10:26 UTC

Comment 2 Tomas Lestach 2010-11-18 11:17:58 UTC
Sebastian, thank you for your path!

I'll ask our QA guys to make some repomd generation measurements, if there're some improvements visible.

spacewalk.git: 19694bc9295bd0f644f059940dbeeab66f301810

Comment 13 Tomas Lestach 2011-02-14 14:55:46 UTC
    Technical note added. If any revisions are required, please edit the "Technical Notes" field
    accordingly. All revisions will be proofread by the Engineering Content Services team.
    
    New Contents:
Result
This is an enhancement to make repomd generation faster. See Comment#5 for detailed test results.

Comment 14 Clifford Perry 2011-03-11 05:20:46 UTC
Taken from private comment #5, making this bug public. 

== Test system  ==
SW12 x86_64 epel-rhel5-i386
  Create and copy 1000 of 10MB files took 343 seconds
  Build 1000 packages per 10MB took 4763 seconds
  Repodata generation took 199.5 seconds (average from 10 (8) measurements,
    highest and lowest dropped)

SWnightly x86_64 epel-rhel5-i386
  Create and copy 1000 of 10MB files took 348 seconds
  Build 1000 packages per 10MB took 4731 seconds
  Repodata generation took 63 (average from 10 (8) measurements, highest
    and lowest dropped)

I have used EPEL RHEL5 i386 channel with 4878 rpms.

This shows improvement for 68%.

Please let me know if this is a type of result which was expected.

Comment 15 Pavel Novotny 2011-03-11 16:23:10 UTC
Verified.

Test results:
Used repository containing ~3300 packages.

Old packages (spacewalk-java-1.2.39-35.1.el5sat): 
  Repodata generation: avg. 109s
New packages (spacewalk-java-1.2.39-38.el5sat): 
  Repodata generation: avg. 74s

It makes repodata generation ~47% faster.

Comment 16 errata-xmlrpc 2011-03-17 14:13:14 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2011-0362.html


Note You need to log in before you can comment on or make changes to this bug.